ru.bitel.bgbilling.kernel.event.events

## Class PersonalTariffTreeUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.PersonalTariffTreeUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PersonalTariffTreeUpdateEvent
      extends QueueEvent

  Асинхронное событие - изменение в дереве персонального тарифного плана договора.
  Вызывается при изменении в дереве тарифного плана.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PersonalTariffTreeUpdateEvent()`
    `` | `PersonalTariffTreeUpdateEvent(int userId, int cid, int ptid)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPtid()` Возвращает id персонального тарифного плана договора.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonalTariffTreeUpdateEvent

          protected PersonalTariffTreeUpdateEvent()

    - #### PersonalTariffTreeUpdateEvent

          public PersonalTariffTreeUpdateEvent(int userId,
                                               int cid,
                                               int ptid)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - id договора
        `ptid` - - id персонального тарифного плана договора

  - ### Method Detail

    - #### getPtid

          public int getPtid()

      Возвращает id персонального тарифного плана договора.
      Returns:
        ptid - id персонального тарифа